Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(18)

Issue 2838683002: Revert of Enable GN check for webrtc/base (Closed)

Created:
2 years, 1 month ago by mbonadei
Modified:
2 years, 1 month ago
CC:
webrtc-reviews_webrtc.org, tterriberry_mozilla.com, qiang.lu, niklas.enbom, yujie_mao (webrtc), peah-webrtc, mbonadei
Target Ref:
refs/heads/master
Project:
webrtc
Visibility:
Public.

Description

Revert of Enable GN check for webrtc/base (patchset #13 id:240001 of https://codereview.webrtc.org/2717083002/ ) Reason for revert: Breaks Chromium because in Chromium we import WebRTC with rtc_include_tests=false (https://bugs.chromium.org/p/chromium/issues/detail?id=713179#c6). Chromium uses webrtc/test/fuzzers and this CL adds test dependencies to neteq_rtc_fuzzer. Original issue's description: > Enable GN check for webrtc/base > > It's not possible to enable it for the rtc_base_approved > target but since a larger refactoring is ongoing for webrtc/base > this CL doesn't attempt to fix that. > > Changes made: > * Move webrtc/system_wrappers/include/stringize_macros.h into > webrtc/base:rtc_base_approved_unittests (and corresponding > unit test to rtc_base_approved_unittests). > * Move md5digest.* from rtc_base_approved to rtc_base_test_utils target. > * Move webrtc/system_wrappers/include/stringize_macros.h (+test) into > webrtc/base. > * Remove unused use include of webrtc/base/fileutils.h in > webrtc/base/pathutils.cc > > BUG=webrtc:6828, webrtc:3806, webrtc:7480 > NOTRY=True > > Review-Url: https://codereview.webrtc.org/2717083002 > Cr-Commit-Position: refs/heads/master@{#17766} > Committed: https://chromium.googlesource.com/external/webrtc/+/ed754e71ae8866db641677073274e86fe704eeac TBR=perkj@webrtc.org,tommi@webrtc.org,nisse@webrtc.org,kjellander@webrtc.org # Not skipping CQ checks because original CL landed more than 1 days ago. BUG=webrtc:6828, webrtc:3806, webrtc:7480 NOTRY=True Review-Url: https://codereview.webrtc.org/2838683002 Cr-Commit-Position: refs/heads/master@{#17849} Committed: https://chromium.googlesource.com/external/webrtc/+/11ed366c487a938815cd52ad2ab5467b0f90e1ae

Patch Set 1 #

Patch Set 2 : removing .gn changes to test chromium trybots #

Patch Set 3 : Revert "removing .gn changes to test chromium trybots" #

Unified diffs Side-by-side diffs Delta from patch set Stats (+11 lines, -109 lines) Patch
M .gn View 1 2 1 chunk +0 lines, -1 line 0 comments Download
M webrtc/base/BUILD.gn View 1 11 chunks +2 lines, -26 lines 0 comments Download
M webrtc/base/location.h View 1 chunk +1 line, -1 line 0 comments Download
M webrtc/base/pathutils.cc View 1 chunk +1 line, -0 lines 0 comments Download
D webrtc/base/stringize_macros.h View 1 chunk +0 lines, -38 lines 0 comments Download
D webrtc/base/stringize_macros_unittest.cc View 1 chunk +0 lines, -35 lines 0 comments Download
M webrtc/common_audio/resampler/sinc_resampler_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M webrtc/modules/audio_coding/BUILD.gn View 1 1 chunk +0 lines, -1 line 0 comments Download
M webrtc/system_wrappers/BUILD.gn View 1 2 chunks +2 lines, -0 lines 0 comments Download
A + webrtc/system_wrappers/include/stringize_macros.h View 1 2 chunks +3 lines, -3 lines 0 comments Download
A + webrtc/system_wrappers/source/stringize_macros_unittest.cc View 1 1 chunk +1 line, -1 line 0 comments Download
M webrtc/test/fuzzers/BUILD.gn View 1 1 chunk +0 lines, -1 line 0 comments Download
M webrtc/voice_engine/BUILD.gn View 1 1 chunk +0 lines, -1 line 0 comments Download

Messages

Total messages: 11 (5 generated)
mbonadei
Created Revert of Enable GN check for webrtc/base
2 years, 1 month ago (2017-04-24 19:12:41 UTC) #1
kjellander_webrtc
lgtm
2 years, 1 month ago (2017-04-24 19:18:22 UTC) #2
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.webrtc.org/2838683002/230001
2 years, 1 month ago (2017-04-24 19:23:55 UTC) #6
commit-bot: I haz the power
Committed patchset #3 (id:230001) as https://chromium.googlesource.com/external/webrtc/+/11ed366c487a938815cd52ad2ab5467b0f90e1ae
2 years, 1 month ago (2017-04-24 19:26:32 UTC) #9
mbonadei
A revert of this CL (patchset #3 id:230001) has been created in https://codereview.webrtc.org/2840453004/ by mbonadei@webrtc.org. ...
2 years, 1 month ago (2017-04-25 06:49:08 UTC) #10
mbonadei
2 years, 1 month ago (2017-04-28 06:41:04 UTC) #11
Message was sent while issue was closed.
A revert of this CL (patchset #3 id:230001) has been created in
https://codereview.webrtc.org/2852663002/ by mbonadei@webrtc.org.

The reason for reverting is: Fourth attempt to land.

Waiting for https://codereview.webrtc.org/2845013003 to
avoid conflicts on webrtc/modules/audio_coding:neteq_unittest_tools..

Powered by Google App Engine
This is Rietveld 408576698